> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# haloitsm-assets

> HaloITSM Assets - Manage IT assets, asset types, and CMDB

**Server path:** `/haloitsm-assets` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                            | Description                       |
| --------------------------------------------------------------------------------------------------------------- | --------------------------------- |
| [`haloitsm_assets_create_asset`](#haloitsm_assets_create_asset)                                                 | POST /Asset                       |
| [`haloitsm_assets_create_asset_type`](#haloitsm_assets_create_asset_type)                                       | POST /AssetType                   |
| [`haloitsm_assets_delete_asset_by_id`](#haloitsm_assets_delete_asset_by_id)                                     | DELETE /Asset/\{id}               |
| [`haloitsm_assets_delete_asset_type_by_id`](#haloitsm_assets_delete_asset_type_by_id)                           | DELETE /AssetType/\{id}           |
| [`haloitsm_assets_get_asset_by_id`](#haloitsm_assets_get_asset_by_id)                                           | Get one Device                    |
| [`haloitsm_assets_get_asset_type_by_id`](#haloitsm_assets_get_asset_type_by_id)                                 | Get one Xtype                     |
| [`haloitsm_assets_list_asset`](#haloitsm_assets_list_asset)                                                     | List of Device                    |
| [`haloitsm_assets_list_asset_get_all_software_versions`](#haloitsm_assets_list_asset_get_all_software_versions) | GET /Asset/GetAllSoftwareVersions |
| [`haloitsm_assets_list_asset_next_tag`](#haloitsm_assets_list_asset_next_tag)                                   | GET /Asset/NextTag                |
| [`haloitsm_assets_list_asset_type`](#haloitsm_assets_list_asset_type)                                           | List of Xtype                     |

***

## haloitsm\_assets\_create\_asset

POST /Asset

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "os_override": {
              "type": "string",
              "description": "Os Override"
            },
            "purchaseorder_id": {
              "type": "integer",
              "format": "int32",
              "description": "Purchaseorder Id"
            },
            "id": {
              "type": "integer",
              "format": "int32",
              "description": "The id value"
            },
            "changeguid": {
              "type": "string",
              "format": "uuid",
              "description": "The changeguid value"
            },
            "intent": {
              "type": "string",
              "description": "The intent value"
            },
            "inventory_number": {
              "type": "string",
              "description": "Inventory Number"
            },
            "key_field": {
              "type": "string",
              "description": "Key Field"
            },
            "key_field2": {
              "type": "string",
              "description": "Key Field2"
            },
            "key_field3": {
              "type": "string",
              "description": "Key Field3"
            },
            "client_id": {
              "type": "integer",
              "format": "int32",
              "description": "Client Id"
            },
            "client_name": {
              "type": "string",
              "description": "Client Name"
            },
            "site_id": {
              "type": "integer",
              "format": "int32",
              "description": "Site Id"
            },
            "site_name": {
              "type": "string",
              "description": "Site Name"
            },
            "business_owner_id": {
              "type": "integer",
              "format": "int32",
              "description": "Business Owner Id"
            },
            "business_owner_name": {
              "type": "string",
              "description": "Business Owner Name"
            },
            "business_owner_site": {
              "type": "string",
              "description": "Business Owner Site"
            },
            "business_owner_client": {
              "type": "string",
              "description": "Business Owner Client"
            },
            "business_owner_cab_id": {
              "type": "integer",
              "format": "int32",
              "description": "Business Owner Cab Id"
            },
            "business_owner_cab_name": {
              "type": "string",
              "description": "Business Owner Cab Name"
            },
            "username": {
              "type": "string",
              "description": "The username value"
            },
            "technical_owner_id": {
              "type": "integer",
              "format": "int32",
              "description": "Technical Owner Id"
            },
            "technical_owner_name": {
              "type": "string",
              "description": "Technical Owner Name"
            },
            "technical_owner_cab_id": {
              "type": "integer",
              "format": "int32",
              "description": "Technical Owner Cab Id"
            },
            "technical_owner_cab_name": {
              "type": "string",
              "description": "Technical Owner Cab Name"
            },
            "intune_default_site": {
              "type": "integer",
              "format": "int32",
              "description": "Intune Default Site"
            },
            "assettype_id": {
              "type": "integer",
              "format": "int32",
              "description": "Assettype Id"
            },
            "assettype_name": {
              "type": "string",
              "description": "Assettype Name"
            },
            "colour": {
              "type": "string",
              "description": "The colour value"
            },
            "icon": {
              "type": "string",
              "description": "The icon value"
            },
            "warranty_end": {
              "type": "string",
              "format": "date-time",
              "description": "Warranty End"
            },
            "inactive": {
              "type": "boolean",
              "description": "The inactive value"
            },
            "is_primary_asset": {
              "type": "boolean",
              "description": "Is Primary Asset"
            },
            "parent_id": {
              "type": "integer",
              "format": "int32",
              "description": "Parent Id"
            },
            "lansweeper_parent_id": {
              "type": "string",
              "description": "Lansweeper Parent Id"
            },
            "child_id": {
              "type": "integer",
              "format": "int32",
              "description": "Child Id"
            },
            "sibling_id": {
              "type": "boolean",
              "description": "Sibling Id"
            },
            "contract_value": {
              "type": "number",
              "format": "double",
              "description": "Contract Value"
            },
            "contract_ref": {
              "type": "string",
              "description": "Contract Ref"
            },
            "supplier_id": {
              "type": "integer",
              "format": "int32",
              "description": "Supplier Id"
            },
            "supplier_name": {
              "type": "string",
              "description": "Supplier Name"
            },
            "manufacturer_id": {
              "type": "integer",
              "format": "int32",
              "description": "Manufacturer Id"
            },
            "manufacturer_name": {
              "type": "string",
              "description": "Manufacturer Name"
            },
            "supplier_contract_id": {
              "type": "integer",
              "format": "int32",
              "description": "Supplier Contract Id"
            },
            "supplier_contract_ref": {
              "type": "string",
              "description": "Supplier Contract Ref"
            },
            "supplier_sla_id": {
              "type": "integer",
              "format": "int32",
              "description": "Supplier Sla Id"
            },
            "supplier_priority_id": {
              "type": "integer",
              "format": "int32",
              "description": "Supplier Priority Id"
            },
            "fields": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "validate": {
                    "type": "string"
                  },
                  "value": {},
                  "display": {
                    "type": "string"
                  },
                  "mandatory": {
                    "type": "boolean"
                  },
                  "showonactivity": {
                    "type": "boolean"
                  },
                  "lookup": {
                    "type": "integer"
                  },
                  "systemuse": {
                    "type": "integer"
                  },
                  "parenttype_id": {
                    "type": "integer"
                  },
                  "url": {
                    "type": "string"
                  },
                  "mapping_id": {
                    "type": "integer"
                  },
                  "access_level": {
                    "type": "integer"
                  },
                  "show_on_relationship_edit": {
                    "type": "boolean"
                  },
                  "no_change_history": {
                    "type": "boolean"
                  },
                  "typeinfo_id": {
                    "type": "integer"
                  },
                  "tab_id": {
                    "type": "integer"
                  },
                  "tab_name": {
                    "type": "string"
                  },
                  "tab_sequence": {
                    "type": "integer"
                  },
                  "tab_columns": {
                    "type": "integer"
                  },
                  "groupname": {
                    "type": "string"
                  },
                  "techdetail": {
                    "type": "integer"
                  },
                  "userdetail": {
                    "type": "integer"
                  },
                  "group_visibility_conditions": {
                    "type": "array"
                  },
                  "hint_type": {
                    "type": "integer"
                  },
                  "hint": {
                    "type": "string"
                  },
                  "extratype": {
                    "type": "integer"
                  },
                  "lookup_method": {
                    "type": "integer"
                  },
                  "load_type": {
                    "type": "integer"
                  },
                  "sql_connection_type": {
                    "type": "integer"
                  },
                  "sql_server": {
                    "type": "string"
                  },
                  "sql_database": {
                    "type": "string"
                  },
                  "sql_user": {
                    "type": "string"
                  },
                  "sql_certificate_id": {
                    "type": "integer"
                  },
                  "sqllookup": {
                    "type": "string"
                  },
                  "where_sql": {
                    "type": "string"
                  },
                  "integration_method_id": {
                    "type": "integer"
                  },
                  "integration_method_value": {
                    "type": "integer"
                  },
                  "value_property": {
                    "type": "string"
                  },
                  "display_property": {
                    "type": "string"
                  },
                  "addunknown": {
                    "type": "boolean"
                  },
                  "ordervalueby": {
                    "type": "integer"
                  },
                  "max_selection": {
                    "type": "integer"
                  },
                  "integration_method_value_name": {
                    "type": "string"
                  },
                  "sql_new_password": {
                    "type": "string"
                  },
                  "sqlcfvariables": {
                    "type": "array"
                  },
                  "require_uniqueness": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The fields value"
            },
            "customfields": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "label": {
                    "type": "string"
                  },
                  "summary": {
                    "type": "string"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "value": {},
                  "value_is_password_id": {
                    "type": "boolean"
                  },
                  "display": {
                    "type": "string"
                  },
                  "characterlimit": {
                    "type": "integer"
                  },
                  "characterlimittype": {
                    "type": "integer"
                  },
                  "inputtype": {
                    "type": "integer"
                  },
                  "copytochild": {
                    "type": "boolean"
                  },
                  "copytoparent": {
                    "type": "boolean"
                  },
                  "searchable": {
                    "type": "boolean"
                  },
                  "ordervalues": {
                    "type": "boolean"
                  },
                  "ordervaluesby": {
                    "type": "integer"
                  },
                  "database_lookup_id": {
                    "type": "integer"
                  },
                  "database_lookup_auto": {
                    "type": "boolean"
                  },
                  "database_lookup_triggers": {
                    "type": "array"
                  },
                  "third_party_name": {
                    "type": "string"
                  },
                  "extratype": {
                    "type": "integer"
                  },
                  "copytochildonupdate": {
                    "type": "boolean"
                  },
                  "copytograndchildonupdate": {
                    "type": "boolean"
                  },
                  "copytoparentonupdate": {
                    "type": "boolean"
                  },
                  "hyperlink": {
                    "type": "string"
                  },
                  "usage": {
                    "type": "integer"
                  },
                  "linked_table_id": {
                    "type": "integer"
                  },
                  "showondetailsscreen": {
                    "type": "boolean"
                  },
                  "third_party_value": {
                    "type": "string"
                  },
                  "custom_extra_table_id": {
                    "type": "integer"
                  },
                  "copytorelated": {
                    "type": "boolean"
                  },
                  "only_validate_on_creation": {
                    "type": "boolean"
                  },
                  "calculation": {
                    "type": "string"
                  },
                  "rounding": {
                    "type": "integer"
                  },
                  "validation_reasons": {
                    "type": "array"
                  },
                  "int_value_is_display": {
                    "type": "boolean"
                  },
                  "regex": {
                    "type": "string"
                  },
                  "onlyshowforagents": {
                    "type": "boolean"
                  },
                  "is_horizontal": {
                    "type": "boolean"
                  },
                  "copied": {
                    "type": "boolean"
                  },
                  "isencrypted": {
                    "type": "boolean"
                  },
                  "max_selection": {
                    "type": "integer"
                  },
                  "guid": {
                    "type": "string"
                  },
                  "selection_field_id": {
                    "type": "integer"
                  },
                  "variable_format_1": {
                    "type": "string"
                  },
                  "variable_format_2": {
                    "type": "string"
                  },
                  "validation_data": {
                    "type": "array"
                  },
                  "database_lookup_input": {
                    "type": "integer"
                  },
                  "table_data_entry_type": {
                    "type": "integer"
                  },
                  "showintable": {
                    "type": "boolean"
                  },
                  "table_height": {
                    "type": "integer"
                  },
                  "dont_delete_rows": {
                    "type": "boolean"
                  },
                  "table_matching_field": {
                    "type": "integer"
                  },
                  "new_storage_method": {
                    "type": "boolean"
                  },
                  "where_sql": {
                    "type": "string"
                  },
                  "load_type": {
                    "type": "integer"
                  },
                  "add_rows": {
                    "type": "boolean"
                  },
                  "delete_these_rows": {
                    "type": "array"
                  },
                  "showinpool": {
                    "type": "boolean"
                  },
                  "allow_pool_override": {
                    "type": "boolean"
                  },
                  "details_column_group": {
                    "type": "integer"
                  },
                  "add_row_per_value": {
                    "type": "boolean"
                  },
                  "store_in_fielddata": {
                    "type": "boolean"
                  },
                  "first_value_default": {
                    "type": "boolean"
                  },
                  "copytoparentnewticket": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The customfields value"
            },
            "relationship_id": {
              "type": "integer",
              "format": "int32",
              "description": "Relationship Id"
            },
            "default_contract_value": {
              "type": "number",
              "format": "double",
              "description": "Default Contract Value"
            },
            "itemstock_id": {
              "type": "integer",
              "format": "int32",
              "description": "Itemstock Id"
            },
            "item_id": {
              "type": "integer",
              "format": "int32",
              "description": "Item Id"
            },
            "stock_date": {
              "type": "string",
              "format": "date-time",
              "description": "Stock Date"
            },
            "non_consignable": {
              "type": "boolean",
              "description": "Non Consignable"
            },
            "reserved_salesorder_id": {
              "type": "integer",
              "format": "int32",
              "description": "Reserved Salesorder Id"
            },
            "reserved_salesorder_line_id": {
              "type": "integer",
              "format": "int32",
              "description": "Reserved Salesorder Line Id"
            },
            "matching_field": {
              "type": "string",
              "description": "Matching Field"
            },
            "is_auto_picking_asset_tag": {
              "type": "boolean",
              "description": "Is Auto Picking Asset Tag"
            },
            "device42_id": {
              "type": "integer",
              "format": "int32",
              "description": "Device42 Id"
            },
            "device42_url": {
              "type": "string",
              "description": "Device42 Url"
            },
            "related_services": {
              "type": "string",
              "description": "Related Services"
            },
            "technical_owner": {
              "type": "string",
              "description": "Technical Owner"
            },
            "business_owner": {
              "type": "string",
              "description": "Business Owner"
            },
            "primary_asset_chart_json": {
              "type": "string",
              "description": "Primary Asset Chart Json"
            },
            "criticality": {
              "type": "integer",
              "format": "int32",
              "description": "The criticality value"
            },
            "service_id": {
              "type": "integer",
              "format": "int32",
              "description": "Service Id"
            },
            "ascendant_count": {
              "type": "integer",
              "format": "int32",
              "description": "Ascendant Count"
            },
            "ascendant_assets": {
              "type": "array",
              "items": {
                "type": "object"
              },
              "description": "Ascendant Assets"
            },
            "descendant_count": {
              "type": "integer",
              "format": "int32",
              "description": "Descendant Count"
            },
            "descendant_assets": {
              "type": "array",
              "items": {
                "type": "object"
              },
              "description": "Descendant Assets"
            },
            "service_count": {
              "type": "integer",
              "format": "int32",
              "description": "Service Count"
            },
            "user_count": {
              "type": "integer",
              "format": "int32",
              "description": "User Count"
            },
            "licence_count": {
              "type": "integer",
              "format": "int32",
              "description": "Licence Count"
            },
            "notes": {
              "type": "string",
              "description": "The notes value"
            },
            "pingservice": {
              "type": "integer",
              "format": "int32",
              "description": "The pingservice value"
            },
            "guid": {
              "type": "string",
              "description": "The guid value"
            },
            "import_guid": {
              "type": "string",
              "format": "uuid",
              "description": "Import Guid"
            },
            "contract_id": {
              "type": "integer",
              "format": "int32",
              "description": "Contract Id"
            },
            "contractvaluecurrent": {
              "type": "number",
              "format": "double",
              "description": "The contractvaluecurrent value"
            },
            "contractvalueprior": {
              "type": "number",
              "format": "double",
              "description": "The contractvalueprior value"
            },
            "warranty_note": {
              "type": "string",
              "description": "Warranty Note"
            },
            "goodsin_po_id": {
              "type": "integer",
              "format": "int32",
              "description": "Goodsin Po Id"
            },
            "issue_consignment_id": {
              "type": "integer",
              "format": "int32",
              "description": "Issue Consignment Id"
            },
            "supplier_expirydate": {
              "type": "string",
              "format": "date-time",
              "description": "Supplier Expirydate"
            },
            "supplier_reference": {
              "type": "string",
              "description": "Supplier Reference"
            },
            "third_party_id_string": {
              "type": "string",
              "description": "Third Party Id String"
            },
            "supplierheaderid": {
              "type": "integer",
              "format": "int32",
              "description": "The supplierheaderid value"
            },
            "purchaseorder_line_id": {
              "type": "integer",
              "format": "int32",
              "description": "Purchaseorder Line Id"
            },
            "teamviewerpassword": {
              "type": "string",
              "description": "The teamviewerpassword value"
            },
            "commissioned": {
              "type": "integer",
              "format": "int32",
              "description": "The commissioned value"
            },
            "kaseyaid": {
              "type": "string",
              "description": "The kaseyaid value"
            },
            "children": {
              "type": "array",
              "items": {
                "type": "object"
              },
              "description": "The children value"
            },
            "parent_assets": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "changeguid": {
                    "type": "string"
                  },
                  "intent": {
                    "type": "string"
                  },
                  "inventory_number": {
                    "type": "string"
                  },
                  "key_field": {
                    "type": "string"
                  },
                  "key_field2": {
                    "type": "string"
                  },
                  "key_field3": {
                    "type": "string"
                  },
                  "client_id": {
                    "type": "integer"
                  },
                  "client_name": {
                    "type": "string"
                  },
                  "site_id": {
                    "type": "integer"
                  },
                  "site_name": {
                    "type": "string"
                  },
                  "business_owner_id": {
                    "type": "integer"
                  },
                  "business_owner_name": {
                    "type": "string"
                  },
                  "business_owner_site": {
                    "type": "string"
                  },
                  "business_owner_client": {
                    "type": "string"
                  },
                  "business_owner_cab_id": {
                    "type": "integer"
                  },
                  "business_owner_cab_name": {
                    "type": "string"
                  },
                  "username": {
                    "type": "string"
                  },
                  "technical_owner_id": {
                    "type": "integer"
                  },
                  "technical_owner_name": {
                    "type": "string"
                  },
                  "technical_owner_cab_id": {
                    "type": "integer"
                  },
                  "technical_owner_cab_name": {
                    "type": "string"
                  },
                  "intune_default_site": {
                    "type": "integer"
                  },
                  "assettype_id": {
                    "type": "integer"
                  },
                  "assettype_name": {
                    "type": "string"
                  },
                  "colour": {
                    "type": "string"
                  },
                  "icon": {
                    "type": "string"
                  },
                  "warranty_end": {
                    "type": "string"
                  },
                  "inactive": {
                    "type": "boolean"
                  },
                  "is_primary_asset": {
                    "type": "boolean"
                  },
                  "parent_id": {
                    "type": "integer"
                  },
                  "lansweeper_parent_id": {
                    "type": "string"
                  },
                  "child_id": {
                    "type": "integer"
                  },
                  "sibling_id": {
                    "type": "boolean"
                  },
                  "contract_value": {
                    "type": "number"
                  },
                  "contract_ref": {
                    "type": "string"
                  },
                  "contract_id": {
                    "type": "integer"
                  },
                  "supplier_id": {
                    "type": "integer"
                  },
                  "supplier_name": {
                    "type": "string"
                  },
                  "manufacturer_id": {
                    "type": "integer"
                  },
                  "manufacturer_name": {
                    "type": "string"
                  },
                  "supplier_contract_id": {
                    "type": "integer"
                  },
                  "supplier_contract_ref": {
                    "type": "string"
                  },
                  "supplier_sla_id": {
                    "type": "integer"
                  },
                  "supplier_priority_id": {
                    "type": "integer"
                  },
                  "fields": {
                    "type": "array"
                  },
                  "customfields": {
                    "type": "array"
                  },
                  "relationship_id": {
                    "type": "integer"
                  },
                  "default_contract_value": {
                    "type": "number"
                  },
                  "itemstock_id": {
                    "type": "integer"
                  },
                  "item_id": {
                    "type": "integer"
                  },
                  "stock_date": {
                    "type": "string"
                  },
                  "non_consignable": {
                    "type": "boolean"
                  },
                  "reserved_salesorder_id": {
                    "type": "integer"
                  },
                  "reserved_salesorder_line_id": {
                    "type": "integer"
                  },
                  "matching_field": {
                    "type": "string"
                  },
                  "is_auto_picking_asset_tag": {
                    "type": "boolean"
                  },
                  "device42_id": {
                    "type": "integer"
                  },
                  "device42_url": {
                    "type": "string"
                  },
                  "related_services": {
                    "type": "string"
                  },
                  "technical_owner": {
                    "type": "string"
                  },
                  "business_owner": {
                    "type": "string"
                  },
                  "primary_asset_chart_json": {
                    "type": "string"
                  },
                  "criticality": {
                    "type": "integer"
                  },
                  "service_id": {
                    "type": "integer"
                  },
                  "key": {
                    "type": "integer"
                  },
                  "table": {
                    "type": "integer"
                  },
                  "use": {
                    "type": "string"
                  },
                  "device_number": {
                    "type": "integer"
                  },
                  "assettype_guid": {
                    "type": "string"
                  },
                  "owning_portfolio_name": {
                    "type": "string"
                  },
                  "owning_service_name": {
                    "type": "string"
                  },
                  "owning_businessapp_name": {
                    "type": "string"
                  },
                  "owning_ci_name": {
                    "type": "string"
                  },
                  "warranty_start": {
                    "type": "string"
                  },
                  "labour_warranty_start": {
                    "type": "string"
                  },
                  "labour_warranty_end": {
                    "type": "string"
                  },
                  "parent_guid": {
                    "type": "string"
                  },
                  "child_guid": {
                    "type": "string"
                  },
                  "status_id": {
                    "type": "integer"
                  },
                  "status_name": {
                    "type": "string"
                  },
                  "third_party_id": {
                    "type": "integer"
                  },
                  "sla_name": {
                    "type": "string"
                  },
                  "priority_name": {
                    "type": "string"
                  },
                  "latest_contract_ref": {
                    "type": "string"
                  },
                  "sequence": {
                    "type": "integer"
                  },
                  "ncentral_url": {
                    "type": "string"
                  },
                  "ncentral_remote_url": {
                    "type": "string"
                  },
                  "contract_end_date": {
                    "type": "string"
                  },
                  "atera_id": {
                    "type": "string"
                  },
                  "automate_id": {
                    "type": "integer"
                  },
                  "automate_url": {
                    "type": "string"
                  },
                  "connectwise_control_url": {
                    "type": "string"
                  },
                  "ninjarmm_id": {
                    "type": "integer"
                  },
                  "ninja_url": {
                    "type": "string"
                  },
                  "ninja_remote_url": {
                    "type": "string"
                  },
                  "syncro_url": {
                    "type": "string"
                  },
                  "syncroid": {
                    "type": "integer"
                  },
                  "itglue_url": {
                    "type": "string"
                  },
                  "defaultsequence": {
                    "type": "integer"
                  },
                  "service_ids": {
                    "type": "string"
                  },
                  "bulkcreated": {
                    "type": "boolean"
                  },
                  "bulkbillingperiod": {
                    "type": "integer"
                  },
                  "asset_field": {
                    "type": "string"
                  },
                  "datto_alternate_id": {
                    "type": "integer"
                  },
                  "syncro_id": {
                    "type": "string"
                  },
                  "domotz_id": {
                    "type": "string"
                  },
                  "snow_id": {
                    "type": "integer"
                  },
                  "passportal_id": {
                    "type": "integer"
                  },
                  "auvik_device_id": {
                    "type": "string"
                  },
                  "auvik_url": {
                    "type": "string"
                  },
                  "allowallstatus": {
                    "type": "boolean"
                  },
                  "allowed_status": {
                    "type": "array"
                  },
                  "allowallcustombuttons": {
                    "type": "boolean"
                  },
                  "allowed_custombuttons": {
                    "type": "array"
                  },
                  "datto_id": {
                    "type": "string"
                  },
                  "addigy_id": {
                    "type": "string"
                  },
                  "liongard_url": {
                    "type": "string"
                  },
                  "liongard_environmnet_id": {
                    "type": "integer"
                  },
                  "liongard_id": {
                    "type": "string"
                  },
                  "kaseya_id": {
                    "type": "string"
                  },
                  "iskaseyaagent": {
                    "type": "boolean"
                  },
                  "kaseyavsa_url": {
                    "type": "string"
                  },
                  "addigy_url": {
                    "type": "string"
                  },
                  "teamviewerid": {
                    "type": "string"
                  },
                  "serialization_user": {
                    "type": "integer"
                  },
                  "zabbix_id": {
                    "type": "string"
                  },
                  "zabbix_url": {
                    "type": "string"
                  },
                  "stockbin_name": {
                    "type": "string"
                  },
                  "issue_consignment_line_id": {
                    "type": "integer"
                  },
                  "item_name": {
                    "type": "string"
                  },
                  "datto_url": {
                    "type": "string"
                  },
                  "ncentral_details_id": {
                    "type": "integer"
                  },
                  "nable_id": {
                    "type": "string"
                  },
                  "connectwisecontrolid": {
                    "type": "string"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "workspace_id": {
                    "type": "string"
                  },
                  "workspace_url": {
                    "type": "string"
                  },
                  "intune_id": {
                    "type": "string"
                  },
                  "supplier_purchasedate": {
                    "type": "string"
                  },
                  "logicmonitor_id": {
                    "type": "string"
                  },
                  "barracudarmm_id": {
                    "type": "string"
                  },
                  "sla_id": {
                    "type": "integer"
                  },
                  "priority_id": {
                    "type": "integer"
                  },
                  "icinga_id": {
                    "type": "string"
                  },
                  "related_service_name": {
                    "type": "string"
                  },
                  "related_service_count": {
                    "type": "integer"
                  },
                  "connectwisermm_id": {
                    "type": "string"
                  },
                  "xensam_id": {
                    "type": "string"
                  },
                  "asset_type_priority": {
                    "type": "integer"
                  },
                  "snipeit_id": {
                    "type": "string"
                  },
                  "prometheus_id": {
                    "type": "string"
                  },
                  "dynatrace_id": {
                    "type": "string"
                  },
                  "vmworkspace_id": {
                    "type": "string"
                  },
                  "tanium_id": {
                    "type": "string"
                  },
                  "tenable_id": {
                    "type": "string"
                  },
                  "kandji_id": {
                    "type": "string"
                  },
                  "criticality_description": {
                    "type": "string"
                  },
                  "auvik_id": {
                    "type": "string"
                  },
                  "is_template": {
                    "type": "boolean"
                  },
                  "aws_id": {
                    "type": "string"
                  },
                  "manageengine_id": {
                    "type": "string"
                  },
                  "manageengine_customer_id": {
                    "type": "string"
                  },
                  "lastchangeofvaluedate": {
                    "type": "string"
                  },
                  "commissiondate": {
                    "type": "string"
                  },
                  "first_user_id": {
                    "type": "integer"
                  },
                  "changebackupexists": {
                    "type": "boolean"
                  },
                  "_isbatch": {
                    "type": "boolean"
                  },
                  "virima_id": {
                    "type": "string"
                  },
                  "service_guid": {
                    "type": "string"
                  },
                  "service_name": {
                    "type": "string"
                  },
                  "lansweeperid": {
                    "type": "string"
                  },
                  "eracent_id": {
                    "type": "string"
                  },
                  "changehistory_last_updated": {
                    "type": "string"
                  },
                  "changehistory_updated_by": {
                    "type": "string"
                  },
                  "changehistory_created_by": {
                    "type": "string"
                  },
                  "changehistory_created_date": {
                    "type": "string"
                  },
                  "auto_link": {
                    "type": "boolean"
                  },
                  "impact_statement": {
                    "type": "string"
                  },
                  "activity_statement": {
                    "type": "string"
                  },
                  "raynet_id": {
                    "type": "string"
                  },
                  "armis_id": {
                    "type": "string"
                  },
                  "kaseyavsax_id": {
                    "type": "string"
                  },
                  "diagram_field1": {
                    "type": "string"
                  },
                  "diagram_field2": {
                    "type": "string"
                  },
                  "diagram_field3": {
                    "type": "string"
                  },
                  "ci_type": {
                    "type": "integer"
                  },
                  "manually_linked_ticket": {
                    "type": "boolean"
                  },
                  "_importtypeid": {
                    "type": "integer"
                  },
                  "_importthirdpartyid": {
                    "type": "string"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_isupdateimport": {
                    "type": "boolean"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "_match_integration_button_caption": {
                    "type": "string"
                  },
                  "_match_integration_button_url": {
                    "type": "string"
                  },
                  "_match_integration_button_icon": {
                    "type": "string"
                  }
                }
              },
              "description": "Parent Assets"
            },
            "child_assets": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "changeguid": {
                    "type": "string"
                  },
                  "intent": {
                    "type": "string"
                  },
                  "inventory_number": {
                    "type": "string"
                  },
                  "key_field": {
                    "type": "string"
                  },
                  "key_field2": {
                    "type": "string"
                  },
                  "key_field3": {
                    "type": "string"
                  },
                  "client_id": {
                    "type": "integer"
                  },
                  "client_name": {
                    "type": "string"
                  },
                  "site_id": {
                    "type": "integer"
                  },
                  "site_name": {
                    "type": "string"
                  },
                  "business_owner_id": {
                    "type": "integer"
                  },
                  "business_owner_name": {
                    "type": "string"
                  },
                  "business_owner_site": {
                    "type": "string"
                  },
                  "business_owner_client": {
                    "type": "string"
                  },
                  "business_owner_cab_id": {
                    "type": "integer"
                  },
                  "business_owner_cab_name": {
                    "type": "string"
                  },
                  "username": {
                    "type": "string"
                  },
                  "technical_owner_id": {
                    "type": "integer"
                  },
                  "technical_owner_name": {
                    "type": "string"
                  },
                  "technical_owner_cab_id": {
                    "type": "integer"
                  },
                  "technical_owner_cab_name": {
                    "type": "string"
                  },
                  "intune_default_site": {
                    "type": "integer"
                  },
                  "assettype_id": {
                    "type": "integer"
                  },
                  "assettype_name": {
                    "type": "string"
                  },
                  "colour": {
                    "type": "string"
                  },
                  "icon": {
                    "type": "string"
                  },
                  "warranty_end": {
                    "type": "string"
                  },
                  "inactive": {
                    "type": "boolean"
                  },
                  "is_primary_asset": {
                    "type": "boolean"
                  },
                  "parent_id": {
                    "type": "integer"
                  },
                  "lansweeper_parent_id": {
                    "type": "string"
                  },
                  "child_id": {
                    "type": "integer"
                  },
                  "sibling_id": {
                    "type": "boolean"
                  },
                  "contract_value": {
                    "type": "number"
                  },
                  "contract_ref": {
                    "type": "string"
                  },
                  "contract_id": {
                    "type": "integer"
                  },
                  "supplier_id": {
                    "type": "integer"
                  },
                  "supplier_name": {
                    "type": "string"
                  },
                  "manufacturer_id": {
                    "type": "integer"
                  },
                  "manufacturer_name": {
                    "type": "string"
                  },
                  "supplier_contract_id": {
                    "type": "integer"
                  },
                  "supplier_contract_ref": {
                    "type": "string"
                  },
                  "supplier_sla_id": {
                    "type": "integer"
                  },
                  "supplier_priority_id": {
                    "type": "integer"
                  },
                  "fields": {
                    "type": "array"
                  },
                  "customfields": {
                    "type": "array"
                  },
                  "relationship_id": {
                    "type": "integer"
                  },
                  "default_contract_value": {
                    "type": "number"
                  },
                  "itemstock_id": {
                    "type": "integer"
                  },
                  "item_id": {
                    "type": "integer"
                  },
                  "stock_date": {
                    "type": "string"
                  },
                  "non_consignable": {
                    "type": "boolean"
                  },
                  "reserved_salesorder_id": {
                    "type": "integer"
                  },
                  "reserved_salesorder_line_id": {
                    "type": "integer"
                  },
                  "matching_field": {
                    "type": "string"
                  },
                  "is_auto_picking_asset_tag": {
                    "type": "boolean"
                  },
                  "device42_id": {
                    "type": "integer"
                  },
                  "device42_url": {
                    "type": "string"
                  },
                  "related_services": {
                    "type": "string"
                  },
                  "technical_owner": {
                    "type": "string"
                  },
                  "business_owner": {
                    "type": "string"
                  },
                  "primary_asset_chart_json": {
                    "type": "string"
                  },
                  "criticality": {
                    "type": "integer"
                  },
                  "service_id": {
                    "type": "integer"
                  },
                  "key": {
                    "type": "integer"
                  },
                  "table": {
                    "type": "integer"
                  },
                  "use": {
                    "type": "string"
                  },
                  "device_number": {
                    "type": "integer"
                  },
                  "assettype_guid": {
                    "type": "string"
                  },
                  "owning_portfolio_name": {
                    "type": "string"
                  },
                  "owning_service_name": {
                    "type": "string"
                  },
                  "owning_businessapp_name": {
                    "type": "string"
                  },
                  "owning_ci_name": {
                    "type": "string"
                  },
                  "warranty_start": {
                    "type": "string"
                  },
                  "labour_warranty_start": {
                    "type": "string"
                  },
                  "labour_warranty_end": {
                    "type": "string"
                  },
                  "parent_guid": {
                    "type": "string"
                  },
                  "child_guid": {
                    "type": "string"
                  },
                  "status_id": {
                    "type": "integer"
                  },
                  "status_name": {
                    "type": "string"
                  },
                  "third_party_id": {
                    "type": "integer"
                  },
                  "sla_name": {
                    "type": "string"
                  },
                  "priority_name": {
                    "type": "string"
                  },
                  "latest_contract_ref": {
                    "type": "string"
                  },
                  "sequence": {
                    "type": "integer"
                  },
                  "ncentral_url": {
                    "type": "string"
                  },
                  "ncentral_remote_url": {
                    "type": "string"
                  },
                  "contract_end_date": {
                    "type": "string"
                  },
                  "atera_id": {
                    "type": "string"
                  },
                  "automate_id": {
                    "type": "integer"
                  },
                  "automate_url": {
                    "type": "string"
                  },
                  "connectwise_control_url": {
                    "type": "string"
                  },
                  "ninjarmm_id": {
                    "type": "integer"
                  },
                  "ninja_url": {
                    "type": "string"
                  },
                  "ninja_remote_url": {
                    "type": "string"
                  },
                  "syncro_url": {
                    "type": "string"
                  },
                  "syncroid": {
                    "type": "integer"
                  },
                  "itglue_url": {
                    "type": "string"
                  },
                  "defaultsequence": {
                    "type": "integer"
                  },
                  "service_ids": {
                    "type": "string"
                  },
                  "bulkcreated": {
                    "type": "boolean"
                  },
                  "bulkbillingperiod": {
                    "type": "integer"
                  },
                  "asset_field": {
                    "type": "string"
                  },
                  "datto_alternate_id": {
                    "type": "integer"
                  },
                  "syncro_id": {
                    "type": "string"
                  },
                  "domotz_id": {
                    "type": "string"
                  },
                  "snow_id": {
                    "type": "integer"
                  },
                  "passportal_id": {
                    "type": "integer"
                  },
                  "auvik_device_id": {
                    "type": "string"
                  },
                  "auvik_url": {
                    "type": "string"
                  },
                  "allowallstatus": {
                    "type": "boolean"
                  },
                  "allowed_status": {
                    "type": "array"
                  },
                  "allowallcustombuttons": {
                    "type": "boolean"
                  },
                  "allowed_custombuttons": {
                    "type": "array"
                  },
                  "datto_id": {
                    "type": "string"
                  },
                  "addigy_id": {
                    "type": "string"
                  },
                  "liongard_url": {
                    "type": "string"
                  },
                  "liongard_environmnet_id": {
                    "type": "integer"
                  },
                  "liongard_id": {
                    "type": "string"
                  },
                  "kaseya_id": {
                    "type": "string"
                  },
                  "iskaseyaagent": {
                    "type": "boolean"
                  },
                  "kaseyavsa_url": {
                    "type": "string"
                  },
                  "addigy_url": {
                    "type": "string"
                  },
                  "teamviewerid": {
                    "type": "string"
                  },
                  "serialization_user": {
                    "type": "integer"
                  },
                  "zabbix_id": {
                    "type": "string"
                  },
                  "zabbix_url": {
                    "type": "string"
                  },
                  "stockbin_name": {
                    "type": "string"
                  },
                  "issue_consignment_line_id": {
                    "type": "integer"
                  },
                  "item_name": {
                    "type": "string"
                  },
                  "datto_url": {
                    "type": "string"
                  },
                  "ncentral_details_id": {
                    "type": "integer"
                  },
                  "nable_id": {
                    "type": "string"
                  },
                  "connectwisecontrolid": {
                    "type": "string"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "workspace_id": {
                    "type": "string"
                  },
                  "workspace_url": {
                    "type": "string"
                  },
                  "intune_id": {
                    "type": "string"
                  },
                  "supplier_purchasedate": {
                    "type": "string"
                  },
                  "logicmonitor_id": {
                    "type": "string"
                  },
                  "barracudarmm_id": {
                    "type": "string"
                  },
                  "sla_id": {
                    "type": "integer"
                  },
                  "priority_id": {
                    "type": "integer"
                  },
                  "icinga_id": {
                    "type": "string"
                  },
                  "related_service_name": {
                    "type": "string"
                  },
                  "related_service_count": {
                    "type": "integer"
                  },
                  "connectwisermm_id": {
                    "type": "string"
                  },
                  "xensam_id": {
                    "type": "string"
                  },
                  "asset_type_priority": {
                    "type": "integer"
                  },
                  "snipeit_id": {
                    "type": "string"
                  },
                  "prometheus_id": {
                    "type": "string"
                  },
                  "dynatrace_id": {
                    "type": "string"
                  },
                  "vmworkspace_id": {
                    "type": "string"
                  },
                  "tanium_id": {
                    "type": "string"
                  },
                  "tenable_id": {
                    "type": "string"
                  },
                  "kandji_id": {
                    "type": "string"
                  },
                  "criticality_description": {
                    "type": "string"
                  },
                  "auvik_id": {
                    "type": "string"
                  },
                  "is_template": {
                    "type": "boolean"
                  },
                  "aws_id": {
                    "type": "string"
                  },
                  "manageengine_id": {
                    "type": "string"
                  },
                  "manageengine_customer_id": {
                    "type": "string"
                  },
                  "lastchangeofvaluedate": {
                    "type": "string"
                  },
                  "commissiondate": {
                    "type": "string"
                  },
                  "first_user_id": {
                    "type": "integer"
                  },
                  "changebackupexists": {
                    "type": "boolean"
                  },
                  "_isbatch": {
                    "type": "boolean"
                  },
                  "virima_id": {
                    "type": "string"
                  },
                  "service_guid": {
                    "type": "string"
                  },
                  "service_name": {
                    "type": "string"
                  },
                  "lansweeperid": {
                    "type": "string"
                  },
                  "eracent_id": {
                    "type": "string"
                  },
                  "changehistory_last_updated": {
                    "type": "string"
                  },
                  "changehistory_updated_by": {
                    "type": "string"
                  },
                  "changehistory_created_by": {
                    "type": "string"
                  },
                  "changehistory_created_date": {
                    "type": "string"
                  },
                  "auto_link": {
                    "type": "boolean"
                  },
                  "impact_statement": {
                    "type": "string"
                  },
                  "activity_statement": {
                    "type": "string"
                  },
                  "raynet_id": {
                    "type": "string"
                  },
                  "armis_id": {
                    "type": "string"
                  },
                  "kaseyavsax_id": {
                    "type": "string"
                  },
                  "diagram_field1": {
                    "type": "string"
                  },
                  "diagram_field2": {
                    "type": "string"
                  },
                  "diagram_field3": {
                    "type": "string"
                  },
                  "ci_type": {
                    "type": "integer"
                  },
                  "manually_linked_ticket": {
                    "type": "boolean"
                  },
                  "_importtypeid": {
                    "type": "integer"
                  },
                  "_importthirdpartyid": {
                    "type": "string"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_isupdateimport": {
                    "type": "boolean"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "_match_integration_button_caption": {
                    "type": "string"
                  },
                  "_match_integration_button_url": {
                    "type": "string"
                  },
                  "_match_integration_button_icon": {
                    "type": "string"
                  }
                }
              },
              "description": "Child Assets"
            },
            "hierarchy": {
              "type": "array",
              "items": {
                "type": "object"
              },
              "description": "The hierarchy value"
            },
            "users": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "site_id": {
                    "type": "number"
                  },
                  "site_id_int": {
                    "type": "integer"
                  },
                  "site_name": {
                    "type": "string"
                  },
                  "client_name": {
                    "type": "string"
                  },
                  "firstname": {
                    "type": "string"
                  },
                  "surname": {
                    "type": "string"
                  },
                  "initials": {
                    "type": "string"
                  },
                  "title": {
                    "type": "string"
                  },
                  "emailaddress": {
                    "type": "string"
                  },
                  "email2": {
                    "type": "string"
                  },
                  "email3": {
                    "type": "string"
                  },
                  "phonenumber_preferred": {
                    "type": "string"
                  },
                  "sitephonenumber": {
                    "type": "string"
                  },
                  "phonenumber": {
                    "type": "string"
                  },
                  "homenumber": {
                    "type": "string"
                  },
                  "mobilenumber": {
                    "type": "string"
                  },
                  "mobilenumber2": {
                    "type": "string"
                  },
                  "fax": {
                    "type": "string"
                  },
                  "telpref": {
                    "type": "integer"
                  },
                  "activedirectory_dn": {
                    "type": "string"
                  },
                  "onpremise_activedirectory_dn": {
                    "type": "string"
                  },
                  "container_dn": {
                    "type": "string"
                  },
                  "login": {
                    "type": "string"
                  },
                  "inactive": {
                    "type": "boolean"
                  },
                  "colour": {
                    "type": "string"
                  },
                  "isimportantcontact": {
                    "type": "boolean"
                  },
                  "other1": {
                    "type": "string"
                  },
                  "other2": {
                    "type": "string"
                  },
                  "other3": {
                    "type": "string"
                  },
                  "other4": {
                    "type": "string"
                  },
                  "other5": {
                    "type": "string"
                  },
                  "notes": {
                    "type": "string"
                  },
                  "neversendemails": {
                    "type": "boolean"
                  },
                  "default_currency_code": {
                    "type": "integer"
                  },
                  "site_guid": {
                    "type": "string"
                  },
                  "area_guid": {
                    "type": "string"
                  },
                  "site_cautomate_guid": {
                    "type": "string"
                  },
                  "priority_id": {
                    "type": "integer"
                  },
                  "linked_agent_id": {
                    "type": "integer"
                  },
                  "covered_by_contract": {
                    "type": "boolean"
                  },
                  "contract_value": {
                    "type": "number"
                  },
                  "software_role_name": {
                    "type": "string"
                  },
                  "customfields": {
                    "type": "array"
                  },
                  "attachments": {
                    "type": "array"
                  },
                  "relationship_id": {
                    "type": "integer"
                  },
                  "user_relationships": {
                    "type": "array"
                  },
                  "uddevsite": {
                    "type": "integer"
                  },
                  "uddevnum": {
                    "type": "integer"
                  },
                  "uduserid": {
                    "type": "integer"
                  },
                  "userdevicerolecount": {
                    "type": "integer"
                  },
                  "site_hubspot_guid": {
                    "type": "string"
                  },
                  "isserviceaccount": {
                    "type": "boolean"
                  },
                  "ignoreautomatedbilling": {
                    "type": "boolean"
                  },
                  "isimportantcontact2": {
                    "type": "boolean"
                  },
                  "connectwiseid": {
                    "type": "integer"
                  },
                  "autotaskid": {
                    "type": "integer"
                  },
                  "messagegroup_id": {
                    "type": "integer"
                  },
                  "role_list": {
                    "type": "string"
                  },
                  "sitetimezone": {
                    "type": "string"
                  },
                  "client_account_manager_id": {
                    "type": "integer"
                  },
                  "use": {
                    "type": "string"
                  },
                  "key": {
                    "type": "integer"
                  },
                  "table": {
                    "type": "integer"
                  },
                  "client_id": {
                    "type": "integer"
                  },
                  "item_tax_code": {
                    "type": "integer"
                  },
                  "automatic_sales_tax": {
                    "type": "boolean"
                  },
                  "client_taxable": {
                    "type": "boolean"
                  },
                  "overridepdftemplatequote": {
                    "type": "integer"
                  },
                  "overridepdftemplatequote_name": {
                    "type": "string"
                  },
                  "contract_end_date": {
                    "type": "string"
                  },
                  "okta_id": {
                    "type": "string"
                  },
                  "azure_id": {
                    "type": "string"
                  },
                  "user_with_clientsite": {
                    "type": "string"
                  },
                  "client_automatic_callscript_id": {
                    "type": "integer"
                  },
                  "neversendmarketingemails": {
                    "type": "boolean"
                  },
                  "is_prospect": {
                    "type": "boolean"
                  },
                  "whatsapp_number": {
                    "type": "string"
                  },
                  "azureoid": {
                    "type": "string"
                  },
                  "approver_note_hint": {
                    "type": "string"
                  },
                  "language_id": {
                    "type": "integer"
                  },
                  "date_of_birth": {
                    "type": "string"
                  },
                  "role_ids": {
                    "type": "array"
                  },
                  "avalara_tenant": {
                    "type": "integer"
                  },
                  "sailpoint_id": {
                    "type": "string"
                  },
                  "_importtypeid": {
                    "type": "integer"
                  },
                  "_importthirdpartyid": {
                    "type": "string"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_isupdateimport": {
                    "type": "boolean"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "_match_integration_button_caption": {
                    "type": "string"
                  },
                  "_match_integration_button_url": {
                    "type": "string"
                  },
                  "_match_integration_button_icon": {
                    "type": "string"
                  }
                }
              },
              "description": "The users value"
            },
            "clone_count": {
              "type": "integer",
              "format": "int32",
              "description": "Clone Count"
            },
            "_dontaddnewfields": {
              "type": "boolean",
              "description": "The dontaddnewfields value"
            },
            "_dontupdatetype": {
              "type": "boolean",
              "description": "The dontupdatetype value"
            },
            "sla_name": {
              "type": "string",
              "description": "Sla Name"
            },
            "supplier_sla_name": {
              "type": "string",
              "description": "Supplier Sla Name"
            },
            "priority_name": {
              "type": "string",
              "description": "Priority Name"
            },
            "supplier_priority_name": {
              "type": "string",
              "description": "Supplier Priority Name"
            },
            "clone_inventory_numbers": {
              "type": "string",
              "description": "Clone Inventory Numbers"
            },
            "_isclone": {
              "type": "boolean",
              "description": "The isclone value"
            },
            "contracts": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "client_id": {
                    "type": "integer"
                  },
                  "client_name": {
                    "type": "string"
                  },
                  "ref": {
                    "type": "string"
                  },
                  "refextra": {
                    "type": "string"
                  },
                  "start_date": {
                    "type": "string"
                  },
                  "end_date": {
                    "type": "string"
                  },
                  "started": {
                    "type": "boolean"
                  },
                  "expired": {
                    "type": "boolean"
                  },
                  "numberofunitsfree": {
                    "type": "number"
                  },
                  "billingperiod": {
                    "type": "integer"
                  },
                  "billingdescription": {
                    "type": "integer"
                  },
                  "subtype": {
                    "type": "integer"
                  },
                  "status": {
                    "type": "integer"
                  },
                  "site_id": {
                    "type": "integer"
                  },
                  "site_name": {
                    "type": "string"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "user_name": {
                    "type": "string"
                  },
                  "sla_id": {
                    "type": "integer"
                  },
                  "periodicinvoicenextdate": {
                    "type": "string"
                  },
                  "next_invoice_date": {
                    "type": "string"
                  },
                  "periodchargeamount": {
                    "type": "number"
                  },
                  "note": {
                    "type": "string"
                  },
                  "asset_value": {
                    "type": "number"
                  },
                  "refextra2": {
                    "type": "string"
                  },
                  "contract_status": {
                    "type": "string"
                  },
                  "asset_sequence": {
                    "type": "integer"
                  },
                  "next_call_date": {
                    "type": "string"
                  },
                  "accounts_override_mailbox": {
                    "type": "integer"
                  },
                  "use": {
                    "type": "string"
                  },
                  "key": {
                    "type": "integer"
                  },
                  "table": {
                    "type": "integer"
                  },
                  "last_modified": {
                    "type": "string"
                  },
                  "asset_end_date": {
                    "type": "string"
                  },
                  "contracttype": {
                    "type": "integer"
                  },
                  "contracttype_name": {
                    "type": "string"
                  },
                  "prepayrecurringchargebp": {
                    "type": "integer"
                  },
                  "force_recalculation": {
                    "type": "boolean"
                  },
                  "cost_calculation": {
                    "type": "string"
                  },
                  "active": {
                    "type": "boolean"
                  },
                  "sent_to_oracle": {
                    "type": "boolean"
                  },
                  "customfields": {
                    "type": "array"
                  },
                  "createdby_id": {
                    "type": "integer"
                  },
                  "createdby_name": {
                    "type": "string"
                  },
                  "billingcategory": {
                    "type": "integer"
                  },
                  "_importtypeid": {
                    "type": "integer"
                  },
                  "_importthirdpartyid": {
                    "type": "string"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_isupdateimport": {
                    "type": "boolean"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "_match_integration_button_caption": {
                    "type": "string"
                  },
                  "_match_integration_button_url": {
                    "type": "string"
                  },
                  "_match_integration_button_icon": {
                    "type": "string"
                  }
                }
              },
              "description": "The contracts value"
            },
            "site_guid": {
              "type": "string",
              "description": "Site Guid"
            },
            "sqlimport_user": {
              "type": "string",
              "description": "Sqlimport User"
            },
            "sqlimport_id": {
              "type": "integer",
              "format": "int32",
              "description": "Sqlimport Id"
            },
            "software": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "licence_id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "count": {
                    "type": "integer"
                  },
                  "did": {
                    "type": "integer"
                  },
                  "bundledesc": {
                    "type": "string"
                  },
                  "cost": {
                    "type": "number"
                  },
                  "lastused": {
                    "type": "string"
                  },
                  "install_date": {
                    "type": "string"
                  },
                  "expiry_date": {
                    "type": "string"
                  },
                  "snowid": {
                    "type": "string"
                  },
                  "licence_required": {
                    "type": "boolean"
                  },
                  "version": {
                    "type": "string"
                  },
                  "licence_name": {
                    "type": "string"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "moduleid": {
                    "type": "integer"
                  },
                  "new_users": {
                    "type": "array"
                  },
                  "new_devices": {
                    "type": "array"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "The software value"
            },
            "businesscentral_id": {
              "type": "string",
              "description": "Businesscentral Id"
            },
            "intune_id": {
              "type": "string",
              "description": "Intune Id"
            },
            "intune_connectionid": {
              "type": "integer",
              "format": "int32",
              "description": "Intune Connectionid"
            },
            "azure_userid": {
              "type": "string",
              "description": "Azure Userid"
            },
            "azure_userprincipalname": {
              "type": "string",
              "description": "Azure Userprincipalname"
            },
            "stockdetails": {
              "type": "object",
              "description": "The stockdetails value"
            },
            "assetgroup_name": {
              "type": "string",
              "description": "Assetgroup Name"
            },
            "prtg_id": {
              "type": "integer",
              "format": "int32",
              "description": "Prtg Id"
            },
            "prtg_details_id": {
              "type": "integer",
              "format": "int32",
              "description": "Prtg Details Id"
            },
            "status_name": {
              "type": "string",
              "description": "Status Name"
            },
            "services": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "guid": {
                    "type": "string"
                  },
                  "intent": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "display_name": {
                    "type": "string"
                  },
                  "summary": {
                    "type": "string"
                  },
                  "sequence": {
                    "type": "integer"
                  },
                  "showinusercatalog": {
                    "type": "boolean"
                  },
                  "showintechcatalog": {
                    "type": "boolean"
                  },
                  "trackstatus": {
                    "type": "boolean"
                  },
                  "service_category_id": {
                    "type": "integer"
                  },
                  "service_category_guid": {
                    "type": "string"
                  },
                  "service_category_name": {
                    "type": "string"
                  },
                  "business_owner_id": {
                    "type": "integer"
                  },
                  "business_owner_name": {
                    "type": "string"
                  },
                  "business_owner_cab_id": {
                    "type": "integer"
                  },
                  "business_owner_cab_name": {
                    "type": "string"
                  },
                  "technical_owner_id": {
                    "type": "integer"
                  },
                  "technical_owner_name": {
                    "type": "string"
                  },
                  "technical_owner_cab_id": {
                    "type": "integer"
                  },
                  "technical_owner_cab_name": {
                    "type": "string"
                  },
                  "compliance_owner_id": {
                    "type": "integer"
                  },
                  "compliance_owner_name": {
                    "type": "string"
                  },
                  "compliance_owner_cab_id": {
                    "type": "integer"
                  },
                  "compliance_owner_cab_name": {
                    "type": "string"
                  },
                  "cost": {
                    "type": "number"
                  },
                  "estimated_delivery": {
                    "type": "integer"
                  },
                  "estimated_delivery_days": {
                    "type": "integer"
                  },
                  "subscribable": {
                    "type": "boolean"
                  },
                  "subscriber_count": {
                    "type": "integer"
                  },
                  "asset_count": {
                    "type": "integer"
                  },
                  "assettype_id": {
                    "type": "integer"
                  },
                  "assettype_ids": {
                    "type": "string"
                  },
                  "current_status": {
                    "type": "integer"
                  },
                  "status_message_update_internal": {
                    "type": "string"
                  },
                  "status_message_update_public": {
                    "type": "string"
                  },
                  "using_default_public_message": {
                    "type": "boolean"
                  },
                  "status_ticket_id": {
                    "type": "integer"
                  },
                  "status_date": {
                    "type": "string"
                  },
                  "service_tickettype_id": {
                    "type": "integer"
                  },
                  "serviceshownewreqscreen": {
                    "type": "boolean"
                  },
                  "service_template_id": {
                    "type": "integer"
                  },
                  "newservicereqtype": {
                    "type": "integer"
                  },
                  "incident_tickettype_id": {
                    "type": "integer"
                  },
                  "incident_template_id": {
                    "type": "integer"
                  },
                  "newincidenttype": {
                    "type": "integer"
                  },
                  "relatedworkdayid": {
                    "type": "integer"
                  },
                  "status_end_date": {
                    "type": "string"
                  },
                  "status_ticket_start_date": {
                    "type": "string"
                  },
                  "status_ticket_end_date": {
                    "type": "string"
                  },
                  "requestdetails_count": {
                    "type": "integer"
                  },
                  "requestdetails_id": {
                    "type": "integer"
                  },
                  "requestdetail_url": {
                    "type": "string"
                  },
                  "requestdetail_shownewreqscreen": {
                    "type": "boolean"
                  },
                  "requestdetail_type": {
                    "type": "integer"
                  },
                  "screenafterlogging": {
                    "type": "integer"
                  },
                  "pricingrange": {
                    "type": "number"
                  },
                  "override_site_id": {
                    "type": "integer"
                  },
                  "failcreaterequest": {
                    "type": "boolean"
                  },
                  "workdays": {
                    "type": "integer"
                  },
                  "checkminutes": {
                    "type": "integer"
                  },
                  "failalwaysnewrequest": {
                    "type": "boolean"
                  },
                  "criticality": {
                    "type": "integer"
                  },
                  "search_score": {
                    "type": "number"
                  },
                  "device_id": {
                    "type": "integer"
                  },
                  "use": {
                    "type": "string"
                  },
                  "icon": {
                    "type": "string"
                  },
                  "relatedworkdayid_name": {
                    "type": "string"
                  },
                  "relatedworkdayid_content": {
                    "type": "string"
                  },
                  "status_message_update_internal_html": {
                    "type": "string"
                  },
                  "status_message_update_public_html": {
                    "type": "string"
                  },
                  "future_statuses": {
                    "type": "array"
                  },
                  "current_statuses": {
                    "type": "array"
                  },
                  "service_url": {
                    "type": "string"
                  },
                  "incident_url": {
                    "type": "string"
                  },
                  "access_control": {
                    "type": "array"
                  },
                  "access_control_level": {
                    "type": "integer"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "link": {
                    "type": "string"
                  },
                  "tag_string": {
                    "type": "string"
                  },
                  "device_guid": {
                    "type": "string"
                  },
                  "device_name": {
                    "type": "string"
                  },
                  "servicedetailshtml_list": {
                    "type": "string"
                  },
                  "owningservice": {
                    "type": "integer"
                  },
                  "owningservice_guid": {
                    "type": "string"
                  },
                  "owning_service_name": {
                    "type": "string"
                  },
                  "fault_service_type": {
                    "type": "integer"
                  },
                  "auto_link": {
                    "type": "boolean"
                  },
                  "user_subscribed": {
                    "type": "boolean"
                  },
                  "search_count": {
                    "type": "integer"
                  },
                  "ticket_count": {
                    "type": "integer"
                  }
                }
              },
              "description": "The services value"
            },
            "datto_site_uid": {
              "type": "string",
              "description": "Datto Site Uid"
            },
            "ateraid": {
              "type": "string",
              "description": "The ateraid value"
            },
            "items_issued": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "ticket_id": {
                    "type": "integer"
                  },
                  "id": {
                    "type": "integer"
                  },
                  "item_id": {
                    "type": "integer"
                  },
                  "quantity": {
                    "type": "number"
                  },
                  "quantity_shipped": {
                    "type": "number"
                  },
                  "unit": {
                    "type": "integer"
                  },
                  "costprice": {
                    "type": "number"
                  },
                  "price": {
                    "type": "number"
                  },
                  "status": {
                    "type": "string"
                  },
                  "date_shipped": {
                    "type": "string"
                  },
                  "note": {
                    "type": "string"
                  },
                  "note2": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "supplier_part_code": {
                    "type": "string"
                  },
                  "stocklocation_id": {
                    "type": "integer"
                  },
                  "stocklocation_name": {
                    "type": "string"
                  },
                  "quantity_in_stock": {
                    "type": "number"
                  },
                  "asset_number": {
                    "type": "integer"
                  },
                  "asset_site": {
                    "type": "integer"
                  },
                  "warranty_reported": {
                    "type": "boolean"
                  },
                  "selected": {
                    "type": "boolean"
                  },
                  "stock_adjusted_already": {
                    "type": "boolean"
                  },
                  "cost_centre": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "assetgroup_name": {
                    "type": "string"
                  },
                  "assettype_id": {
                    "type": "integer"
                  },
                  "assettype_name": {
                    "type": "string"
                  },
                  "supplier_name": {
                    "type": "string"
                  },
                  "tax": {
                    "type": "number"
                  },
                  "item_tax_code": {
                    "type": "integer"
                  },
                  "item_taxable": {
                    "type": "boolean"
                  },
                  "item_generic": {
                    "type": "integer"
                  },
                  "item_recurring": {
                    "type": "boolean"
                  },
                  "item_internal_reference": {
                    "type": "string"
                  },
                  "item_external_reference": {
                    "type": "string"
                  },
                  "item_tax_name": {
                    "type": "string"
                  },
                  "net_total": {
                    "type": "number"
                  },
[...]
